%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           ccsm
Version:        0.6.0
Release:        1%{?dist}
Summary:        Plugin and configuration tool - Compiz Fusion Project

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://www.opencompositing.org

Source0:        http://releases.compiz-fusion.org/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch101:       ccsm-removeshebangs.patch
# libdrm is not available on these arches

ExcludeArch:    s390 s390x ppc64
BuildArch:      noarch
BuildRequires:  python-devel, gettext, desktop-file-utils
Requires:       compizconfig-python = %{version} , libcompizconfig = %{version}
Requires:       pygtk2 >= 2.10, python-sexy

%description
The Compiz Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
though plugins and themes contributed by the community giving a
rich desktop experience.

This package contains a gui configuration tool to configure Compiz
plugins and the composite window manager.

%prep
%setup -q 
%patch101 -p1 -b .ccsm-removeshebangs

%build
#configure 
#make %{?_smp_mflags}
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
#make install DESTDIR=$RPM_BUILD_ROOT
python setup.py install --prefix=%{_prefix} --root=$RPM_BUILD_ROOT
desktop-file-install --vendor="fedora" \
      --dir=${RPM_BUILD_ROOT}%{_datadir}/applications \
      --remove-category="Compiz" \
      ccsm.desktop --delete-original

%find_lang %{name}

%post
if [ -x /usr/bin/gtk-update-icon-cache ]; then
        /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%postun
if [ -x /usr/bin/gtk-update-icon-cache ]; then
        /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING VERSION
%{_bindir}/ccsm
%{_datadir}/applications/fedora-ccsm.desktop
%{_datadir}/ccsm/
%{_datadir}/icons/hicolor/scalable/apps/ccsm.svg
%{_datadir}/pixmaps/ccsm.png
%{python_sitelib}/ccm/
%exclude %{_datadir}/applications/ccsm.desktop


%changelog
* Sun Aug 21 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-1
- official upstream 0.6.0 tarball release
- owns directory
- removed shebangs from ccm
- fixed desktop entry

* Fri Aug 19 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-0.3.20071018gita7fa7d
- removed unneeded BuildReqs

* Thu Aug 18 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.6.0-0.2.20071018gita7fa7d
- 0.6.0 branch

* Sun Jun 30 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.0.1-0.3.20070630git
- 20070630git
- Added BuildReq gettext
- Added Require compizconfig-python
- added require pygtk2

* Sun Jun 24 2007 Mohd Izhar Firdaus Ismail <mohd.izhar.firdaus@gmail.com> 0.0.1-20070622git
- Initial specfile, borrowing descriptions from Trevino ubuntu debs
